## mrpt 2.15.10+ds

=== 3rdparty/nanogui/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5)

project(mrpt-nanogui)

if (POLICY CMP0058)
  cmake_policy(SET CMP0058 NEW)
endif()

if (NOT IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/ext/nanovg/src")
  message(FATAL_ERROR "The NanoGUI dependency repositories (NANOVG, etc.) are missing! "
    "You probably did not clone the project with --recursive. It is possible to recover "
    "by calling \"git submodule update --init --recursive\"")
endif()

if (WIN32)
  set(NANOGUI_USE_GLAD_DEFAULT ON)
else()
  set(NANOGUI_USE_GLAD_DEFAULT OFF)
endif()

set(NANOGUI_BUILD_SHARED_DEFAULT ON)

option(NANOGUI_BUILD_EXAMPLE "Build NanoGUI example application?" OFF)
set(NANOGUI_BUILD_SHARED ${NANOGUI_BUILD_SHARED_DEFAULT} CACHE BOOL "Build NanoGUI as a shared library?" FORCE)
option(NANOGUI_BUILD_PYTHON  "Build a Python plugin for NanoGUI?" OFF)
option(NANOGUI_USE_GLAD      "Use Glad OpenGL loader library?" ${NANOGUI_USE_GLAD_DEFAULT})
option(NANOGUI_INSTALL       "Install NanoGUI on `make install`?" ON)

set(NANOGUI_PYTHON_VERSION "" CACHE STRING "Python version to use for compiling the Python plugin")

# Platform-dependent files for libnanogui
set(LIBNANOGUI_EXTRA_SOURCE "")
set(LIBNANOGUI_PYTHON_EXTRA_SOURCE "")

if(APPLE AND NANOGUI_BUILD_SHARED)
  set(CMAKE_MACOSX_RPATH ON)
endif()

include(CheckCXXCompilerFlag)
include(CheckCXXSourceRuns)

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to 'Release' as none was specified.")
  set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release"
    "MinSizeRel" "RelWithDebInfo")
endif()
string(TOUPPER "${CMAKE_BUILD_TYPE}" U_CMAKE_BUILD_TYPE)

macro(CHECK_CXX_COMPILER_AND_LINKER_FLAGS _RESULT _CXX_FLAGS _LINKER_FLAGS)
  set(CMAKE_REQUIRED_FLAGS ${_CXX_FLAGS})
  set(CMAKE_REQUIRED_LIBRARIES ${_LINKER_FLAGS})
  set(CMAKE_REQUIRED_QUIET TRUE)
  check_cxx_source_runs("int main(int argc, char **argv) { return 0; }" ${_RESULT})
  set(CMAKE_REQUIRED_FLAGS "")
  set(CMAKE_REQUIRED_LIBRARIES "")
endmacro()

# GLFW: Build from sources in Windows, use system version in UNIX:
find_package(PkgConfig QUIET)

if (PKG_CONFIG_FOUND)
  pkg_search_module(GLFW glfw3)
endif()

if (GLFW_FOUND)
    message(STATUS "GLFW: System library found.")
    #include_directories(${GLFW_INCLUDE_DIRS})
    #target_link_libraries(simple ${GLFW_LIBRARIES})
else()
    message(STATUS "GLFW: No system library found, building from sources.")

    # Compile GLFW
    set(GLFW_BUILD_EXAMPLES OFF CACHE BOOL " " FORCE)
    set(GLFW_BUILD_TESTS OFF CACHE BOOL " " FORCE)
    set(GLFW_BUILD_DOCS OFF CACHE BOOL " " FORCE)
    set(GLFW_BUILD_INSTALL OFF CACHE BOOL " " FORCE)

    # Install required to export cmake targets
    set(GLFW_INSTALL OFF CACHE BOOL " " FORCE)

    set(GLFW_USE_CHDIR OFF CACHE BOOL " " FORCE)

    if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
        # Quench annoying deprecation warnings when compiling GLFW on OSX
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-declarations")
    endif()

    # Set these variables for glfw, since we cannot control its target directly
    # for it being an external project:
    set(caod_backup ${CMAKE_ARCHIVE_OUTPUT_DIRECTORY})
    set(crod_backup ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib/")
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/")

    add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/ext/glfw" "ext_build/glfw")
    # Two targets have now been defined: `glfw_objects`, which will be merged into
    # NanoGUI at the end, and `glfw`.  The `glfw` target is the library itself
    # (e.g., libglfw.so), but can be skipped as we do not need to link against it
    # (because we merge `glfw_objects` into NanoGUI).  Skipping is required for
    # XCode, but preferable for all build systems (reduces build artifacts).
    # JLBC 2020: This leads to runtime weird errors in MSVC: disabled.
    #set_target_properties(glfw PROPERTIES EXCLUDE_FROM_ALL 1 EXCLUDE_FROM_DEFAULT_BUILD 1)
    #set(OPTIONAL_GLFW_OBJECTS $<TARGET_OBJECTS:glfw_objects>)
    set(GLFW_LIBRARIES glfw)

    # undo changes of global variables:
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${caod_backup})
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${crod_backup})
    unset(caod_backup)
    unset(crod_backup)
endif()


if (MSVC)
  # Disable annoying MSVC warnings (all targets)
  add_definitions(/D "_CRT_SECURE_NO_WARNINGS")

  # Parallel build on MSVC (all targets)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")

  if (NOT CMAKE_SIZEOF_VOID_P EQUAL 8)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /arch:SSE2")

    # Disable Eigen vectorization for Windows 32 bit builds (issues with unaligned access segfaults)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /DNANOGUI_EIGEN_DONT_ALIGN")
  endif()
endif()

# Compile with compiler warnings turned on
if(MSVC)
  if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
    string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  endif()
elseif (CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR CMAKE_CXX_COMPILER_ID MATCHES "GNU")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
endif()

if (CMAKE_CXX_COMPILER_ID MATCHES "^(GNU|Clang|Intel)$")
  CHECK_CXX_COMPILER_FLAG("-std=c++14" HAS_CPP14_FLAG)
  CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_CPP11_FLAG)

  if (HAS_CPP14_FLAG)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
  elseif (HAS_CPP11_FLAG)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
  else()
    message(FATAL_ERROR "Unsupported compiler -- pybind11 requires C++11 support!")
  endif()
endif()

# Various optimizations for shared library release builds
if (NANOGUI_BUILD_SHARED)
  # Disabled by default due to this Eigen issue: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1000780
  option(NANOGUI_ENABLE_LINK_TIME_OPTIMIZATION "Enable lto (link time optimization)" OFF)

  if (U_CMAKE_BUILD_TYPE MATCHES REL AND CMAKE_CXX_COMPILER_ID MATCHES "^(GNU|Clang)$")
    # Set the default symbol visibility to hidden
    if (NOT CMAKE_CXX_FLAGS MATCHES "-fvisibility")
      set(CMAKE_CXX_FLAGS "-fvisibility=hidden ${CMAKE_CXX_FLAGS}")
    endif()

    # Enable link time optimization
    if (NOT CMAKE_CXX_FLAGS MATCHES "-flto" AND NANOGUI_ENABLE_LINK_TIME_OPTIMIZATION)
      if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
        set(LTO_CXX_FLAGS "-flto=thin")
        set(LTO_LINKER_FLAGS "-flto=thin")
        if (NOT APPLE AND U_CMAKE_BUILD_TYPE MATCHES MINSIZEREL)
            # Clang Gold plugin does not support -Os
            set(LTO_CXX_FLAGS "${LTO_CXX_FLAGS} -O3")
        endif()
      else()
        set(LTO_CXX_FLAGS "-flto -fno-fat-lto-objects")
        set(LTO_LINKER_FLAGS "-flto")
      endif()

      CHECK_CXX_COMPILER_AND_LINKER_FLAGS(HAS_LTO ${LTO_CXX_FLAGS} ${LTO_LINKER_FLAGS})

      if (HAS_LTO)
        message(STATUS "NanoGUI: LTO support enabled.")
        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${LTO_LINKER_FLAGS}")
        set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${LTO_LINKER_FLAGS}")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${LTO_CXX_FLAGS}")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${LTO_CXX_FLAGS}")
      else()
        message(STATUS "NanoGUI: LTO not supported by the compiler.")
      endif()
    endif()
  elseif(MSVC)
    set(Configurations RELEASE RELWITHDEBINFO MINSIZEREL)
    set(LinkTypes EXE SHARED MODULE STATIC)
    foreach(Configuration ${Configurations})
      set("CMAKE_CXX_FLAGS_${Configuration}" "${CMAKE_CXX_FLAGS_${Configuration}} /GL")
      foreach(LinkType ${LinkTypes})
        set("CMAKE_${LinkType}_LINKER_FLAGS_${Configuration}" "${CMAKE_${LinkType}_LINKER_FLAGS_${Configuration}} /LTCG")
      endforeach()
    endforeach()
    message(STATUS "NanoGUI: LTO support enabled.")
  endif()
endif()

# Always use libc++ on Clang
if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  CHECK_CXX_COMPILER_AND_LINKER_FLAGS(HAS_LIBCPP "-stdlib=libc++" "-stdlib=libc++")
  if (HAS_LIBCPP AND APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -stdlib=libc++")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -stdlib=libc++")
    CHECK_CXX_COMPILER_AND_LINKER_FLAGS(HAS_LIBCPPABI "-stdlib=libc++" "-stdlib=libc++ -lc++abi")
    if(HAS_LIBCPPABI)
      set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lc++abi")
      set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -lc++abi")
      message(STATUS "NanoGUI: using libc++ and libc++abi.")
    else()
      message(STATUS "NanoGUI: using libc++.")
    endif()
  else()
    message(STATUS "NanoGUI: NOT using libc++.")
    if (NOT ("${CMAKE_SYSTEM_NAME}" STREQUAL "Emscripten")) # just use defaults in Emscripten
      # From: https://stackoverflow.com/a/16788372/1631514
      # I would use the native library for each OS i.e. libstdc++ on GNU/Linux and libc++ on Mac OS X.
      # libc++ is not 100% complete on GNU/Linux, and there's no real advantage to using it when libstdc++
      # is more complete. Also, if you want to link to any other libraries written in C++ they will almost certainly have been built with libstdc++ so you'll need to link with that too to use them.
      # Use the libstdc++ lib vs. libc++, to avoid some build errors in MacOS
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libstdc++")
      set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -stdlib=libstdc++")
      set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -stdlib=libstdc++")
    endif()
  endif()
endif()

if (NANOGUI_USE_GLAD)
  # Build and include GLAD on Windows
  list(APPEND LIBNANOGUI_EXTRA_SOURCE
     "${CMAKE_CURRENT_SOURCE_DIR}/ext/glad/src/glad.c"
	 "${CMAKE_CURRENT_SOURCE_DIR}/ext/glad/include/glad/glad.h"
	 "${CMAKE_CURRENT_SOURCE_DIR}/ext/glad/include/KHR/khrplatform.h")
  if (MSVC)
    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/ext/glad/src/glad.c"
      PROPERTIES COMPILE_FLAGS "/wd4055 ")
  endif()
endif()


if (${CMAKE_SYSTEM_NAME} MATCHES "BSD")
  include_directories(/usr/local/include)
  link_directories(/usr/local/lib)
  if(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
    include_directories(/usr/X11R6/include/)
    link_directories(/usr/X11R6/lib)
  endif()
endif()

# Run simple cmake converter to put font files into the data segment

# Search fonts from system packages first, rely on built-in as last resource.
# This avoid shipping dupplicated & copyrighted files in Debian packages:
# * Roboto-Bold.ttf,  Roboto-Regular.ttf => apt install fonts-roboto-fontface
# * entypo+ is a custom font from: https://github.com/svenevs/nanogui-entypo
#   (it is NOT the same one as provided by the entypo debian package)
find_file(ENTYPO_TTF_FILE           entypo.ttf          PATHS "${CMAKE_CURRENT_SOURCE_DIR}/resources" REQUIRED)
find_file(ROBOTO_BOLD_TTF_FILE      Roboto-Bold.ttf     PATHS /usr/share/fonts/truetype/roboto-fontface/roboto/ "${CMAKE_CURRENT_SOURCE_DIR}/resources" REQUIRED)
find_file(ROBOTO_REGULAR_TTF_FILE   Roboto-Regular.ttf  PATHS /usr/share/fonts/truetype/roboto-fontface/roboto/ "${CMAKE_CURRENT_SOURCE_DIR}/resources" REQUIRED)

# Glob up resource files
set(resources ${ENTYPO_TTF_FILE} ${ROBOTO_BOLD_TTF_FILE} ${ROBOTO_REGULAR_TTF_FILE})
message(STATUS "Font resources: ${resources}")

# Concatenate resource files into a comma separated string
string (REGEX REPLACE "([^\\]|^);" "\\1," resources_string "${resources}")
string (REGEX REPLACE "[\\](.)" "\\1" resources_string "${resources_string}")

# Create command line for running bin2c cmake script
set(bin2c_cmdline
  -DOUTPUT_C=nanogui_resources.cpp
  -DOUTPUT_H=nanogui_resources.h
  "-DINPUT_FILES=${resources_string}"
  -P "${CMAKE_CURRENT_SOURCE_DIR}/resources/bin2c.cmake")

# Run bin2c on resource files
add_custom_command(
  OUTPUT nanogui_resources.cpp nanogui_resources.h

=== doc/man-pages/CMakeLists.txt ===
include(../../cmakemodules/AssureCMakeRootFile.cmake) # Avoid user mistake in CMake source directory

# ----------------------------------------------------------------------------
# Targets for building man-pages of the MRPT
# ----------------------------------------------------------------------------

project(all_man_pages)

find_program(PROG_POD2MAN pod2man)
find_program(PROG_GZIP gzip)

option(MRPT_BUILD_MANPAGES "Do build manpages" ON)
mark_as_advanced(MRPT_BUILD_MANPAGES)

if (PROG_GZIP AND PROG_POD2MAN AND MRPT_BUILD_MANPAGES)
	mark_as_advanced(PROG_POD2MAN)
	mark_as_advanced(PROG_GZIP)

	# Make sure the output dir exists:
	file(MAKE_DIRECTORY "${MRPT_BINARY_DIR}/man-pages")

	# Macro for declaring man-pages targets:
	macro(CREATE_MANPAGE_PROJECT appname)
		add_custom_target(man_page_${appname}
			COMMAND 			pod2man --center="Mobile Robot Programming Toolkit - MRPT"  ${MRPT_SOURCE_DIR}/doc/man-pages/pod/${appname}.pod | gzip -c > ${appname}.1.gz
			WORKING_DIRECTORY	"${MRPT_BINARY_DIR}/man-pages"
			COMMENT 		"Generating MRPT man pages"
			)
		add_dependencies(man_pages_all man_page_${appname})
		if (UNIX)
			install(FILES "${MRPT_BINARY_DIR}/man-pages/${appname}.1.gz" DESTINATION ${mrpt_apps_INSTALL_PREFIX}share/man/man1/ )
		endif()
	endmacro()

	# The main (empty) target:
	add_custom_target(man_pages_all ALL)

	CREATE_MANPAGE_PROJECT(rawlog-grabber)
	CREATE_MANPAGE_PROJECT(RawLogViewer)
	CREATE_MANPAGE_PROJECT(ReactiveNavigationDemo)
	CREATE_MANPAGE_PROJECT(ReactiveNav3D-Demo)
	CREATE_MANPAGE_PROJECT(SceneViewer3D)
	CREATE_MANPAGE_PROJECT(camera-calib)
	CREATE_MANPAGE_PROJECT(icp-slam)
	CREATE_MANPAGE_PROJECT(icp-slam-live)
	CREATE_MANPAGE_PROJECT(kf-slam)
	CREATE_MANPAGE_PROJECT(2d-slam-demo)
	CREATE_MANPAGE_PROJECT(map-partition)
	CREATE_MANPAGE_PROJECT(observations2map)
	CREATE_MANPAGE_PROJECT(pf-localization)
	CREATE_MANPAGE_PROJECT(ro-localization)
	CREATE_MANPAGE_PROJECT(rbpf-slam)
	CREATE_MANPAGE_PROJECT(simul-landmarks)
	CREATE_MANPAGE_PROJECT(simul-beacons)
	CREATE_MANPAGE_PROJECT(simul-gridmap)
	CREATE_MANPAGE_PROJECT(GridmapNavSimul)
	CREATE_MANPAGE_PROJECT(grid-matching)
	CREATE_MANPAGE_PROJECT(features-matching)
	CREATE_MANPAGE_PROJECT(holonomic-navigator-demo)
	CREATE_MANPAGE_PROJECT(navlog-viewer)
	CREATE_MANPAGE_PROJECT(track-video-features)
	CREATE_MANPAGE_PROJECT(graph-slam)
	CREATE_MANPAGE_PROJECT(graphslam-engine)
	CREATE_MANPAGE_PROJECT(kinect-3d-slam)
	CREATE_MANPAGE_PROJECT(kinect-3d-view)
	CREATE_MANPAGE_PROJECT(kinect-stereo-calib)
	CREATE_MANPAGE_PROJECT(robotic-arm-kinematics)
	CREATE_MANPAGE_PROJECT(velodyne-view)
	CREATE_MANPAGE_PROJECT(gps2rawlog)
	CREATE_MANPAGE_PROJECT(rawlog-edit)
	CREATE_MANPAGE_PROJECT(carmen2rawlog)
	CREATE_MANPAGE_PROJECT(carmen2simplemap)
	CREATE_MANPAGE_PROJECT(image2gridmap)
	CREATE_MANPAGE_PROJECT(ptg-configurator)
	CREATE_MANPAGE_PROJECT(DifOdometry-Datasets)
	CREATE_MANPAGE_PROJECT(DifOdometry-Camera)
	CREATE_MANPAGE_PROJECT(robot-map-gui)
	CREATE_MANPAGE_PROJECT(benchmarking-image-features)
	CREATE_MANPAGE_PROJECT(yaml2ini)
	CREATE_MANPAGE_PROJECT(ini2yaml)
	CREATE_MANPAGE_PROJECT(mrpt-performance)
	CREATE_MANPAGE_PROJECT(3d-rotation-converter)
	CREATE_MANPAGE_PROJECT(ros-map-yaml2mrpt)

endif()

=== libs/containers/CMakeLists.txt ===
#---------------------------------------------
# Macro declared in "DeclareMRPTLib.cmake":
#---------------------------------------------
define_mrpt_lib(
	# Lib name
	containers
	# Dependencies
	mrpt-core
	mrpt-typemeta
	)

# extra dependencies required by unit tests in this module:
set_property(GLOBAL PROPERTY mrpt_containers_UNIT_TEST_EXTRA_DEPS "mrpt-random;mrpt-poses;mrpt-io")

if(BUILD_mrpt-containers)

	if (TARGET mrpt_libfyaml)
            target_link_libraries(containers PRIVATE mrpt_libfyaml)
        endif()

        if (DEFINED LIBFYAML_VERSION)
            string(LENGTH "${LIBFYAML_VERSION}" _len)
            if(_len LESS 5)
              set(LIBFYAML_VERSION "0.${LIBFYAML_VERSION}")
            endif()
            unset(_len)

            VERSION_TO_HEXADECIMAL(MRPT_LIBFYAML_VERSION_HEX ${LIBFYAML_VERSION})
            target_compile_definitions(containers PRIVATE -DMRPT_LIBFYAML_VERSION=${MRPT_LIBFYAML_VERSION_HEX})
            message(STATUS "MRPT_LIBFYAML_VERSION_HEX  : ${MRPT_LIBFYAML_VERSION_HEX}")
        endif()
endif()

=== debian/changelog ===
mrpt (1:2.15.10+ds-1) unstable; urgency=medium

  * New upstream version 2.15.10+ds

 -- Jose Luis Blanco Claraco <joseluisblancoc@gmail.com>  Sat, 14 Feb 2026 10:58:20 +0100

mrpt (1:2.15.9+ds-1) unstable; urgency=medium

  * New upstream version 2.15.9+ds
  * d/patches: Remove patches already merged upstream.

 -- Jose Luis Blanco Claraco <joseluisblancoc@gmail.com>  Fri, 13 Feb 2026 18:29:49 +0100

=== debian/control ===
Source: mrpt
Section: science
Maintainer: Jose Luis Blanco Claraco <joseluisblancoc@gmail.com>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
	dh-sequence-python3, chrpath,
	cmake,
	doxygen-latex,
	doxygen,
	libglut-dev,
	graphviz,
	libassimp-dev,
	libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev,
	libdc1394-dev [linux-any],
	libeigen3-dev,
	libftdi1-dev,
	libglfw3-dev,
	libglu1-mesa-dev,
	libicu-dev,
	libjpeg-dev,
	libjsoncpp-dev,
	libnanoflann-dev,
	liboctomap-dev,
	libopencv-dev,
	libopenni2-dev,
	libpcap-dev,
	libqt5opengl5-dev,
	libsimpleini-dev,
	libstd-srvs-dev,
	libsuitesparse-dev,
	libtinyxml2-dev,
	libudev-dev [linux-any],
	libusb-1.0-0-dev [linux-any],
	libwxgtk3.2-dev,
	libxrandr-dev,
	libxxf86vm-dev,
	qtbase5-dev,
	zlib1g-dev,
	libgtest-dev,
	fonts-roboto-fontface,
	libfyaml-dev,
	pybind11-dev,
	python3-all-dev,
	python3-pip,
	python3-setuptools,
	python3-wheel,
	libtbb-dev,
	libzstd-dev
Standards-Version: 4.7.3
Homepage: https://www.mrpt.org/
Vcs-Git: https://salsa.debian.org/robotics-team/mrpt.git
Vcs-Browser: https://salsa.debian.org/robotics-team/mrpt
Description: Mobile Robot Programming Toolkit
 The Mobile Robot Programming Toolkit (MRPT) is an extensive, cross-platform,
 and open source C++ library aimed to help robotics researchers to design and
 implement algorithms in the fields of Simultaneous Localization and Mapping
 (SLAM), computer vision, and motion planning (obstacle avoidance).

Package: mrpt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	libjs-jquery
Description: ${source:Synopsis} - examples
 ${source:Extended-Description}
 .
 Commented C++ examples for MRPT libraries.

Package: libmrpt-apps2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - apps library
 ${source:Extended-Description}
 .
 Library wrapping several MRPT front-end applications.
 This package provides the binary library file.

Package: libmrpt-apps-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-apps2.15 (= ${binary:Version}),
         libmrpt-slam-dev, libmrpt-gui-dev, libmrpt-tclap-dev
Description: ${source:Synopsis} - apps development package
 ${source:Extended-Description}
 .
 Library wrapping several MRPT front-end applications.
 This package provides headers and libraries for development.

Package: libmrpt-bayes2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - bayes library
 ${source:Extended-Description}
 .
 Particle filtering and Kalman filter (EKF) algorithms.
 This package provides the binary library file.

Package: libmrpt-bayes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-bayes2.15 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-math-dev, libmrpt-config-dev
Description: ${source:Synopsis} - bayes development package
 ${source:Extended-Description}
 .
 Particle filtering and Kalman filter (EKF) algorithms.
 This package provides headers and libraries for development.


Package: libmrpt-comms2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - comms library
 ${source:Extended-Description}
 .
 Communication utilities: serial port, sockets, nodelets.
 This package provides the binary library file.

Package: libmrpt-comms-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-comms2.15 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-io-dev
Description: ${source:Synopsis} - comms development package
 ${source:Extended-Description}
 .
 Communication utilities: serial port, sockets, nodelets.
 This package provides headers and libraries for development.

Package: libmrpt-config2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - config library
 ${source:Extended-Description}
 .
 Configuration files utilities, providing an extension of the INI file format.
 This package provides the binary library file.

Package: libmrpt-config-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-config2.15 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-core-dev,libmrpt-system-dev,libmrpt-expr-dev
Description: ${source:Synopsis} - config development package
 ${source:Extended-Description}
 .
 Configuration files utilities, providing an extension of the INI file format.
 This package provides headers and libraries for development.

Package: libmrpt-containers2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - containers library
 ${source:Extended-Description}
 .
 A C++17 YAML class, and many other generic C++ container classes.
 This package provides the binary library file.

Package: libmrpt-containers-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-containers2.15 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-core-dev
Description: ${source:Synopsis} - containers development package
 ${source:Extended-Description}
 .
 A C++17 YAML class, and many other generic C++ container classes.
 This package provides headers and libraries for development.

Package: libmrpt-core2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - core library
 ${source:Extended-Description}
 .
 Core functionality for all MRPT libraries.
 This package provides the binary library file.

Package: libmrpt-core-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-core2.15 (= ${binary:Version}),
         libmrpt-common-dev
Description: ${source:Synopsis} - core development package
 ${source:Extended-Description}
 .
 Core functionality for all MRPT libraries.
 This package provides headers and libraries for development.

Package: libmrpt-expr2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - expr library
 ${source:Extended-Description}
 .
 A wrapper on the expr library for dynamic mathematical expression evaluation.
 This package provides the binary library file.

Package: libmrpt-expr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-expr2.15 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-core-dev
Description: ${source:Synopsis} - expr development package
 ${source:Extended-Description}
 .
 A wrapper on the expr library for dynamic mathematical expression evaluation.
 This package provides headers and libraries for development.

Package: libmrpt-graphs2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - graphs library
 ${source:Extended-Description}
 .
 Generic graph containers and algorithms (Dijkstra, visitors, etc.).
 This package provides the binary library file.

Package: libmrpt-graphs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-graphs2.15 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-opengl-dev,libmrpt-poses-dev
Description: ${source:Synopsis} - graphs development package
 ${source:Extended-Description}
 .
 Generic graph containers and algorithms (Dijkstra, visitors, etc.).
 This package provides headers and libraries for development.

Package: libmrpt-graphslam2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - graphslam library
 ${source:Extended-Description}
 .
 Graph-SLAM implementations for pose networks.
 This package provides the binary library file.

Package: libmrpt-graphslam-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-graphslam2.15 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-gui-dev,libmrpt-slam-dev
Description: ${source:Synopsis} - graphslam development package
 ${source:Extended-Description}
 .
 Graph-SLAM implementations for pose networks.
 This package provides headers and libraries for development.

Package: libmrpt-gui2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - gui library
 ${source:Extended-Description}
 .
 GUI utilities for displaying 2D and 3D graphics.
 This package provides the binary library file.

Package: libmrpt-nanogui2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: fonts-roboto-fontface (= ${fonts-roboto-fontface:version})
Description: ${source:Synopsis} - nanogui library
 ${source:Extended-Description}
 .
 Fork of the nanogui library for use into MRPT GUI classes.
 This package provides the binary library file.

Package: libmrpt-gui-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-gui2.15 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-opengl-dev, libmrpt-nanogui-dev
Description: ${source:Synopsis} - gui development package
 ${source:Extended-Description}
 .
 GUI utilities for displaying 2D and 3D graphics.
 This package provides headers and libraries for development.

Package: libmrpt-nanogui-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-nanogui2.15 (= ${binary:Version}),
         libglfw3-dev
Description: ${source:Synopsis} - nanogui development package
 ${source:Extended-Description}
 .
 Fork of the nanogui library for use into MRPT GUI classes.
 This package provides headers and libraries for development.

Package: libmrpt-hwdrivers2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - hwdrivers library
 ${source:Extended-Description}
 .
 Classes to interface several sensors usually used in robotics.
 This package provides the binary library file.

Package: libmrpt-hwdrivers-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-hwdrivers2.15 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-comms-dev, libmrpt-gui-dev,
         libmrpt-maps-dev, libmrpt-vision-dev
Description: ${source:Synopsis} - hwdrivers development package
 ${source:Extended-Description}
 .
 Classes to interface several sensors usually used in robotics.
 This package provides headers and libraries for development.

Package: libmrpt-img2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - img library
 ${source:Extended-Description}
 .
 A wrapper and extension to opencv image containers.
 This package provides the binary library file.

Package: libmrpt-img-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-img2.15 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-io-dev, libmrpt-math-dev,
         libmrpt-config-dev
Description: ${source:Synopsis} - img development package
 ${source:Extended-Description}
 .
 A wrapper and extension to opencv image containers.
 This package provides headers and libraries for development.

Package: libmrpt-io2.15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - io library
 ${source:Extended-Description}
 .
 Classes for file I/O.
 This package provides the binary library file.

Package: libmrpt-io-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},libmrpt-io2.15 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-system-dev
Description: ${source:Synopsis} - io development package
 ${source:Extended-Description}
 .
 Classes for file I/O.
